## DMS Activate Automatic request DMS Activate Automatic request |

## Functions

QmiMessageDmsActivateAutomaticInput * | qmi_message_dms_activate_automatic_input_new ()
QmiMessageDmsActivateAutomaticInput * | qmi_message_dms_activate_automatic_input_ref ()
void | qmi_message_dms_activate_automatic_input_unref ()
gboolean | qmi_message_dms_activate_automatic_input_get_activation_code ()
gboolean | qmi_message_dms_activate_automatic_input_set_activation_code ()
QmiMessageDmsActivateAutomaticOutput * | qmi_message_dms_activate_automatic_output_ref ()
void | qmi_message_dms_activate_automatic_output_unref ()
gboolean | qmi_message_dms_activate_automatic_output_get_result ()
void | qmi_client_dms_activate_automatic ()
QmiMessageDmsActivateAutomaticOutput * | qmi_client_dms_activate_automatic_finish ()

## Types and Values

| QmiMessageDmsActivateAutomaticInput
| QmiMessageDmsActivateAutomaticOutput

## Object Hierarchy

        GBoxed
        ├── QmiMessageDmsActivateAutomaticInput
        ╰── QmiMessageDmsActivateAutomaticOutput

## Description

## Functions

### qmi_message_dms_activate_automatic_input_new ()

    QmiMessageDmsActivateAutomaticInput *
    qmi_message_dms_activate_automatic_input_new
                                   (void);

Allocates a new QmiMessageDmsActivateAutomaticInput.

#### Returns

the newly created QmiMessageDmsActivateAutomaticInput. The returned value should be freed with `qmi_message_dms_activate_automatic_input_unref()`.

Since: 1.0

### qmi_message_dms_activate_automatic_input_ref ()

    QmiMessageDmsActivateAutomaticInput *
    qmi_message_dms_activate_automatic_input_ref
                                   (QmiMessageDmsActivateAutomaticInput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageDmsActivateAutomaticInput. |

#### Returns

the new reference to `self` .

Since: 1.0

### qmi_message_dms_activate_automatic_input_unref ()

    void
    qmi_message_dms_activate_automatic_input_unref
                                   (QmiMessageDmsActivateAutomaticInput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageDmsActivateAutomaticInput. |

Since: 1.0

### qmi_message_dms_activate_automatic_input_get_activation_code ()

    gboolean
    qmi_message_dms_activate_automatic_input_get_activation_code
                                   (QmiMessageDmsActivateAutomaticInput *self,
                                    const gchar **value_activation_code,
                                    GError **error);

Get the 'Activation Code' field from `self` .

#### Parameters

self | a QmiMessageDmsActivateAutomaticInput. |
value_activation_code | a placeholder for the output constant string, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.0

### qmi_message_dms_activate_automatic_input_set_activation_code ()

    gboolean
    qmi_message_dms_activate_automatic_input_set_activation_code
                                   (QmiMessageDmsActivateAutomaticInput *self,
                                    const gchar *value_activation_code,
                                    GError **error);

Set the 'Activation Code' field in the message.

#### Parameters

self | a QmiMessageDmsActivateAutomaticInput. |
value_activation_code | a constant string. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

Since: 1.0

### qmi_message_dms_activate_automatic_output_ref ()

    QmiMessageDmsActivateAutomaticOutput *
    qmi_message_dms_activate_automatic_output_ref
                                   (QmiMessageDmsActivateAutomaticOutput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageDmsActivateAutomaticOutput. |

#### Returns

the new reference to `self` .

Since: 1.0

### qmi_message_dms_activate_automatic_output_unref ()

    void
    qmi_message_dms_activate_automatic_output_unref
                                   (QmiMessageDmsActivateAutomaticOutput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageDmsActivateAutomaticOutput. |

Since: 1.0

### qmi_message_dms_activate_automatic_output_get_result ()

    gboolean
    qmi_message_dms_activate_automatic_output_get_result
                                   (QmiMessageDmsActivateAutomaticOutput *self,
                                    GError **error);

Get the result of the QMI operation.

#### Parameters

self | a QmiMessageDmsActivateAutomaticOutput. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the QMI operation succeeded, `FALSE` if `error` is set.

Since: 1.0

### qmi_client_dms_activate_automatic ()

    void
    qmi_client_dms_activate_automatic (QmiClientDms *self,
                                       QmiMessageDmsActivateAutomaticInput *input,
                                       guint timeout,
                                       GCancellable *cancellable,
                                       GAsyncReadyCallback callback,
                                       gpointer user_data);

Asynchronously sends a Activate Automatic request to the device.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from.

You can then call `qmi_client_dms_activate_automatic_finish()` to get the result of the operation.

#### Parameters

self | a QmiClientDms. |
input | a QmiMessageDmsActivateAutomaticInput. |
timeout | maximum time to wait for the method to complete, in seconds. |
cancellable | a GCancellable or `NULL`. |
callback | a GAsyncReadyCallback to call when the request is satisfied. |
user_data | user data to pass to `callback` . |

Since: 1.0

### qmi_client_dms_activate_automatic_finish ()

    QmiMessageDmsActivateAutomaticOutput *
    qmi_client_dms_activate_automatic_finish
                                   (QmiClientDms *self,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an async operation started with `qmi_client_dms_activate_automatic()`.

#### Parameters

self | a QmiClientDms. |
res | the GAsyncResult obtained from the GAsyncReadyCallback passed to `qmi_client_dms_activate_automatic()`. |
error | Return location for error or `NULL`. |

#### Returns

a QmiMessageDmsActivateAutomaticOutput, or `NULL` if `error` is set. The returned value should be freed with `qmi_message_dms_activate_automatic_output_unref()`.

Since: 1.0

## Types and Values

### QmiMessageDmsActivateAutomaticInput

    typedef struct _QmiMessageDmsActivateAutomaticInput QmiMessageDmsActivateAutomaticInput;

The QmiMessageDmsActivateAutomaticInput structure contains private data and should only be accessed using the provided API.

Since: 1.0

### QmiMessageDmsActivateAutomaticOutput

    typedef struct _QmiMessageDmsActivateAutomaticOutput QmiMessageDmsActivateAutomaticOutput;

The QmiMessageDmsActivateAutomaticOutput structure contains private data and should only be accessed using the provided API.

Since: 1.0